## org.codehaus.groovy.grails.plugins.testing
Class GrailsMockHttpServletResponse

    java.lang.Object
      org.springframework.mock.web.MockHttpServletResponse
          org.codehaus.groovy.grails.plugins.testing.GrailsMockHttpServletResponse

All Implemented Interfaces:
  groovy.lang.GroovyObject, HttpServletResponse, ServletResponse

    public class GrailsMockHttpServletResponse

extends MockHttpServletResponse
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.springframework.mock.web.MockHttpServletResponse
`DEFAULT_SERVER_PORT`

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`GrailsMockHttpServletResponse()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `leftShift(String content)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.springframework.mock.web.MockHttpServletResponse

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, flushBuffer, getBufferSize, getCharacterEncoding, getContentAsByteArray, getContentAsString, getContentLength, getContentType, getCookie, getCookies, getErrorMessage, getForwardedUrl, getHeader, getHeaderNames, getHeaders, getIncludedUrl, getLocale, getOutputStream, getRedirectedUrl, getStatus, getWriter, isCommitted, isOutputStreamAccessAllowed, isWriterAccessAllowed, reset, resetBuffer, sendError, sendError, sendRedirect, setBufferSize, setCharacterEncoding, setCommitted, setContentLength, setContentType, setDateHeader, setForwardedUrl, setHeader, setIncludedUrl, setIntHeader, setLocale, setOutputStreamAccessAllowed, setStatus, setStatus, setWriterAccessAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsMockHttpServletResponse

    public GrailsMockHttpServletResponse()

Method Detail

### leftShift

    public void leftShift(String content)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project